## ros-rolling-rmf-traffic-msgs 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_traffic_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/BlockadeCancel.msg"
  "msg/BlockadeCheckpoint.msg"
  "msg/BlockadeHeartbeat.msg"
  "msg/BlockadeReached.msg"
  "msg/BlockadeReady.msg"
  "msg/BlockadeRelease.msg"
  "msg/BlockadeSet.msg"
  "msg/BlockadeStatus.msg"
  "msg/Circle.msg"
  "msg/ConvexShape.msg"
  "msg/ConvexShapeContext.msg"
  "msg/FailOverEvent.msg"
  "msg/Heartbeat.msg"
  "msg/Itinerary.msg"
  "msg/ItineraryClear.msg"
  "msg/ItineraryDelay.msg"
  "msg/ItineraryErase.msg"
  "msg/ItineraryExtend.msg"
  "msg/ItinerarySet.msg"
  "msg/MirrorUpdate.msg"
  "msg/ParticipantDescription.msg"
  "msg/Profile.msg"
  "msg/Region.msg"
  "msg/Route.msg"
  "msg/ScheduleChangeAdd.msg"
  "msg/ScheduleChangeCull.msg"
  "msg/ScheduleChangeDelay.msg"
  "msg/NegotiationAck.msg"
  "msg/NegotiationKey.msg"
  "msg/NegotiationConclusion.msg"
  "msg/NegotiationForfeit.msg"
  "msg/NegotiationNotice.msg"
  "msg/NegotiationParticipantAck.msg"
  "msg/NegotiationProposal.msg"
  "msg/NegotiationRefusal.msg"
  "msg/NegotiationRejection.msg"
  "msg/NegotiationRepeat.msg"
  "msg/Participant.msg"
  "msg/Participants.msg"
  "msg/ScheduleInconsistency.msg"
  "msg/ScheduleInconsistencyRange.msg"
  "msg/ScheduleParticipantPatch.msg"
  "msg/SchedulePatch.msg"
  "msg/ScheduleQuery.msg"
  "msg/ScheduleQueries.msg"
  "msg/ScheduleQueryParticipants.msg"
  "msg/ScheduleQuerySpacetime.msg"
  "msg/ScheduleWriterItem.msg"
  "msg/Shape.msg"
  "msg/ShapeContext.msg"
  "msg/Space.msg"
  "msg/Timespan.msg"
  "msg/Trajectory.msg"
  "msg/TrajectoryWaypoint.msg"
)

set(srv_files
  "srv/RegisterQuery.srv"
  "srv/RequestChanges.srv"
  "srv/RegisterParticipant.srv"
  "srv/UnregisterParticipant.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces geometry_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-rolling-rmf-traffic-msgs (1.4.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Grey <grey@openrobotics.org>  Mon, 06 Sep 2021 04:52:21 -0000

=== debian/control ===
Source: ros-rolling-rmf-traffic-msgs
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-traffic-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: A package containing messages used by the RMF traffic management system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmf-traffic-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmf-traffic-msgs 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,12 +29,11 @@
   "msg/Circle.msg"
   "msg/ConvexShape.msg"
   "msg/ConvexShapeContext.msg"
-  "msg/FailOverEvent.msg"
   "msg/Heartbeat.msg"
   "msg/Itinerary.msg"
   "msg/ItineraryClear.msg"
   "msg/ItineraryDelay.msg"
-  "msg/ItineraryErase.msg"
+  "msg/ItineraryReached.msg"
   "msg/ItineraryExtend.msg"
   "msg/ItinerarySet.msg"
   "msg/MirrorUpdate.msg"
@@ -43,8 +42,10 @@
   "msg/Region.msg"
   "msg/Route.msg"
   "msg/ScheduleChangeAdd.msg"
+  "msg/ScheduleChangeAddItem.msg"
   "msg/ScheduleChangeCull.msg"
   "msg/ScheduleChangeDelay.msg"
+  "msg/ScheduleChangeProgress.msg"
   "msg/NegotiationAck.msg"
   "msg/NegotiationKey.msg"
   "msg/NegotiationConclusion.msg"
@@ -55,8 +56,14 @@
   "msg/NegotiationRefusal.msg"
   "msg/NegotiationRejection.msg"
   "msg/NegotiationRepeat.msg"
+  "msg/NegotiationState.msg"
+  "msg/NegotiationStates.msg"
+  "msg/NegotiationStatus.msg"
+  "msg/NegotiationStatuses.msg"
+  "msg/NegotiationTreeNode.msg"
   "msg/Participant.msg"
   "msg/Participants.msg"
+  "msg/ScheduleIdentity.msg"
   "msg/ScheduleInconsistency.msg"
   "msg/ScheduleInconsistencyRange.msg"
   "msg/ScheduleParticipantPatch.msg"
@@ -65,11 +72,11 @@
   "msg/ScheduleQueries.msg"
   "msg/ScheduleQueryParticipants.msg"
   "msg/ScheduleQuerySpacetime.msg"
-  "msg/ScheduleWriterItem.msg"
   "msg/Shape.msg"
   "msg/ShapeContext.msg"
   "msg/Space.msg"
   "msg/Timespan.msg"
+  "msg/TrafficDependency.msg"
   "msg/Trajectory.msg"
   "msg/TrajectoryWaypoint.msg"
 )

=== debian/changelog ===
ros-rolling-rmf-traffic-msgs (3.2.0-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (3.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Version updates from latest release synced to main (#54 <https://github.com/open-rmf/rmf_internal_msgs/pull/54>)
  * Contributors: Esteban Martinena Guerrero, Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (3.0.2-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 05 Oct 2022 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (3.0.1-1jammy) jammy; urgency=high

  * Robust schedule failover (#48 <https://github.com/open-rmf/rmf_internal_msgs/pull/48>)

 -- Grey <grey@openrobotics.org>  Mon, 26 Sep 2022 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (2.0.0-1jammy) jammy; urgency=high

  * Add message definitions to communicate the states of ongoing negotiations: (#45 <https://github.com/open-rmf/rmf_internal_msgs/pull/45>)
  * Add structs for traffic dependency system: (#37 <https://github.com/open-rmf/rmf_internal_msgs/pull/37>)

 -- Grey <grey@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.4.0-1jammy) jammy; urgency=high

  * More efficient schedule updating: (#22 <https://github.com/open-rmf/rmf_traffic/pull/22>), (#23 <https://github.com/open-rmf/rmf_traffic/pull/23>), (#24 <https://github.com/open-rmf/rmf_traffic/pull/24>)
  * Enable redundancy for traffic schedule node: (#16 <https://github.com/open-rmf/rmf_traffic/pull/1>)

 -- Grey <grey@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.3.0-1jammy) jammy; urgency=high

  * Add an itinerary_version field: (#10 <https://github.com/open-rmf/rmf_internal_msgs/pull/10>)
  * Use topics to update schedule mirrors: (#6 <https://github.com/open-rmf/rmf_internal_msgs/pull/6>)
  * Add persistence to Traffic Schedule Participant IDs: (#242 <https://github.com/osrf/rmf_core/pull/242>)

 -- Grey <grey@openrobotics.org>  Wed, 26 May 2021 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.2.0-1jammy) jammy; urgency=high

  * Adding blockade management messages: (#226 <https://github.com/osrf/rmf_core/pull/226>)

 -- Grey <grey@openrobotics.org>  Mon, 04 Jan 2021 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.0.0-1jammy) jammy; urgency=high

  * Messages for transmitting rmf_traffic API data structures over ROS2
  * Contributors: Aaron Chong, Grey, Marco A. Gutiérrez, Morgan Quigley, Yadu, koonpeng

 -- Grey <grey@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Grey <grey@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
